/*
 * PieDataset.java
 *
 * Created on 15 agosto 2005, 17.49
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;
import java.util.*;
/**
 *
 * @author Administrator
 */
public class XYZDataset extends Dataset {
    
    private Vector xYZSeries = null;
        
    /** Creates a new instance of PieDataset */
    public XYZDataset() {
        super();
        setXYZSeries(new Vector());
    }   

    public Vector getXYZSeries() {
        return xYZSeries;
    }

    public void setXYZSeries(Vector xyzSeries) {
        this.xYZSeries = xyzSeries;
    }

    public Dataset cloneMe()
    {
        XYZDataset obj = new XYZDataset();
        copyBaseDataset(obj);

        for (int i=0; i<getXYZSeries().size(); ++i)
        {
            obj.getXYZSeries().addElement( ((XYZSeries)getXYZSeries().elementAt(i)).cloneMe() );
        }

        return obj;
    }
}
